> ## Documentation Index
> Fetch the complete documentation index at: https://docs.henrikdev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent mastery by PUUID (v1)

> Includes numeric modules when returned by Riot. Unknown metadata names and omitted levels are null. Short and long levels retain Riot's source semantics.



## OpenAPI

````yaml https://api.henrikdev.xyz/openapi.json get /valorant/v1/by-puuid/agent-mastery/{affinity}/{platform}/{puuid}/{agent_id}
openapi: 3.1.0
info:
  title: HenrikDev API
  description: ''
  license:
    name: ''
  version: 4.6.0
servers:
  - url: https://api.henrikdev.xyz
security:
  - api_key_header: []
  - api_key_query: []
tags:
  - name: valorant
    description: Valorant public API endpoints
  - name: premium
    description: Premium account and webhook endpoints
paths:
  /valorant/v1/by-puuid/agent-mastery/{affinity}/{platform}/{puuid}/{agent_id}:
    get:
      tags:
        - valorant
      summary: Get agent mastery by PUUID (v1)
      description: >-
        Includes numeric modules when returned by Riot. Unknown metadata names
        and omitted levels are null. Short and long levels retain Riot's source
        semantics.
      operationId: get_mastery_agent_by_id
      parameters:
        - name: affinity
          in: path
          description: Region/affinity; case-insensitive
          required: true
          schema:
            $ref: '#/components/schemas/ValorantAffinity'
        - name: platform
          in: path
          description: Platform; case-insensitive
          required: true
          schema:
            $ref: '#/components/schemas/ValorantPlatform'
        - name: puuid
          in: path
          description: Player UUID
          required: true
          schema:
            type: string
        - name: agent_id
          in: path
          description: Agent UUID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Mastery retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentMasteryV1DetailResponse'
        '400':
          description: Invalid region, platform, UUID or unknown agent
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '404':
          description: Account or agent mastery not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
        '500':
          description: Unable to fetch or parse mastery
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SendError'
components:
  schemas:
    ValorantAffinity:
      type: string
      description: Valorant affinity. Inputs are case-insensitive.
      enum:
        - na
        - eu
        - ap
        - kr
        - br
        - latam
    ValorantPlatform:
      type: string
      description: >-
        Public Valorant platform. Inputs are case-insensitive; individual
        console brands are not accepted.
      enum:
        - pc
        - console
    AgentMasteryV1DetailResponse:
      type: object
      required:
        - status
        - data
      properties:
        data:
          $ref: '#/components/schemas/AgentMasteryV1DetailData'
        status:
          type: integer
          format: int32
          minimum: 0
    SendError:
      type: object
      required:
        - errors
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/APIError'
    AgentMasteryV1DetailData:
      type: object
      required:
        - account
        - mastery
      properties:
        account:
          $ref: '#/components/schemas/AgentMasteryV1Account'
        mastery:
          $ref: '#/components/schemas/AgentMasteryV1Agent'
    APIError:
      type: object
      required:
        - code
        - message
        - status
      properties:
        code:
          type: integer
          format: int32
          minimum: 0
        details: {}
        message:
          type: string
        status:
          type: integer
          format: int32
          minimum: 0
    AgentMasteryV1Account:
      type: object
      required:
        - puuid
        - name
        - tag
      properties:
        name:
          type: string
        puuid:
          type: string
        tag:
          type: string
    AgentMasteryV1Agent:
      type: object
      required:
        - agent
        - flourish
        - tracks
        - customization
      properties:
        agent:
          $ref: '#/components/schemas/AgentMasteryV1Reference'
        customization:
          $ref: '#/components/schemas/AgentMasteryV1Customization'
        flourish:
          $ref: '#/components/schemas/AgentMasteryV1Flourish'
        modules:
          type:
            - array
            - 'null'
          items:
            $ref: '#/components/schemas/AgentMasteryV1Module'
        tracks:
          type: array
          items:
            $ref: '#/components/schemas/AgentMasteryV1Track'
    AgentMasteryV1Reference:
      type: object
      required:
        - id
      properties:
        id:
          type: string
        name:
          type:
            - string
            - 'null'
    AgentMasteryV1Customization:
      type: object
      properties:
        background:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AgentMasteryV1Reference'
        border:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AgentMasteryV1Reference'
        clip:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AgentMasteryV1Reference'
        hype:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/AgentMasteryV1Reference'
    AgentMasteryV1Flourish:
      type: object
      properties:
        long_level:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        short_level:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
    AgentMasteryV1Module:
      type: object
      required:
        - stat
        - value
      properties:
        id:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        stat:
          $ref: '#/components/schemas/AgentMasteryV1Reference'
        value:
          type: number
          format: double
    AgentMasteryV1Track:
      type: object
      required:
        - id
      properties:
        id:
          type: string
        level:
          type:
            - integer
            - 'null'
          format: int32
          minimum: 0
        name:
          type:
            - string
            - 'null'
  securitySchemes:
    api_key_header:
      type: apiKey
      in: header
      name: Authorization
    api_key_query:
      type: apiKey
      in: query
      name: api_key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.